//
// https://www.ramecera.it/myscrewdriver.html
// e-mail: screwdriver@ramecera.it
//
/* This program and the accompanying materials are made available under
 * the terms of the Eclipse Public License v1.0 which accompanies this
 * distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html */
package it.ramecera.screwdriver;

import it.ramecera.salad.everyday.Candies;
import it.ramecera.salad.everyday.Mix;

/**
 * <p>
 * List of constants.
 * </p>
 * <p>
 * Creation date: 2020-04-09<br>
 * modification date: 2020-06-03<br>
 * Company: Ramecera™
 * </p>
 * <p>
 * Modifications:<br>
 * </p>
 * 
 * @author M. Maglioni */
final public class Cst {
	/** property label */
	public static final String FILE_INPUT = "input file";
	/** property label */
	public static final String DIRE_INPUT = "input_directory";
	/** property label */
	public static final String DIR_OUTPUT = "output_directory";
	// VARIOUS
	/** label for DB tables */
	public static final String RAIL = "rail";
	/** label for DB tables */
	public static final String RAILU = Mix.uppercaseFirstChar(RAIL);
	/** label for DB tables */
	public static final String IRAILU = "I" + RAILU;
	/** type of JSP */
	public static final int PLAIN = 0;
	/** type of JSP */
	public static final String PLAINU = "Plain";
	/** type of JSP */
	public static final String PLAINX = "plain";
	/** type of JSP */
	public static final int MESSAGE = 9;
	/** type of JSP */
	public static final int FORM = 1;
	/** type of JSP */
	public static final String FORMX = "form";
	/** type of JSP */
	public static final String FORMU = "Form";
	/** type of JSP */
	public static final int MODEL = 2;
	/** type of JSP */
	public static final String MODELX = "model";
	/** type of JSP */
	public static final String MODELU = "Model";
	/** control type */
	public static final String TEXT_BOX = "text box";
	/** control type */
	public static final String TEXT_AREA = "text area";
	/** control type */
	public static final String CHECK_BOX = "check box";
	/** control type */
	public static final String LIST_BOX = "list box";
	/** control type */
	public static final String RADIO_BUTTON = "radio button";
	/** control type list */
	public static final String[] controlE = { Cst.TEXT_BOX,
			Cst.TEXT_AREA, Cst.CHECK_BOX, Cst.LIST_BOX,
			Cst.RADIO_BUTTON };
	/** type of JSP */
	public static final String JX[] = { Cst.PLAINX, Cst.FORMX,
			Cst.MODELX };
	/** type of JSP */
	public static final String JU[] = { Cst.PLAINU, Cst.FORMU,
			Cst.MODELU };
	/** type of LDAP server */
	public static final String APACHE_DIRECTORY_SERVER = "ApacheDS";
	/** cut n. 0 */
	public static final String CUT0 = "----------------------------------------------------"
			+ Candies.LF;
	/** cut n. 1 */
	public static final String CUT1 = "............................................"
			+ Candies.LF;
	/** cut n. 2 */
	public static final String CUT2 = "          ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
			+ Candies.LF;
	/** cut n. 2 */
	public static final String CUT3 = "          ****************************************************"
			+ Candies.LF;
	/** list of JSP types */
	public static final String[] TIPO_JSPE = { PLAINU, FORMU, MODELU };
	/** if I encode the methods inside the .ele file */
	public static final String INSIDE = "inside";
	/** if I encode the methods inside the .ele file */
	public static final String FREEZE = "freeze";
	// CONSTANTS
	/** constant to enter code manually */
	public static final String KNIFE = "screwdriver_knife";
	/** constant to enter code manually */
	public static final String LOWER = "screwdriver_lower";
	/** constant to enter code manually */
	public static final String UPPER = "screwdriver_upper";
	/** magic strings */
	public static final String MAGIC0 = "XXXSCREWXXX";

}
